
const { MESSAGES } = require("../../util/constants");
const { canModifyQueue } = require("../../util/LanBot");

module.exports.run = (client, message, args, settings) => {


    const queue = message.client.queue.get(message.guild.id);
    if (!queue) return message.channel.send("Il n'y a pas de file d'attente.").catch(console.error);
    if (!canModifyQueue(message.member))return message.channel.send('Vous devez être dans un salon vocal pour utiliser cette commande !');

    if (args[0] > queue.songs.length)
      return message
        .reply(`La file d'attente contient seulement ${queue.songs.length} chansons!`)
        .catch(console.error);

    queue.playing = true;

    if (queue.loop) {
      for (let i = 0; i < args[0] - 2; i++) {
        queue.songs.push(queue.songs.shift());
      }
    } else {
      queue.songs = queue.songs.slice(args[0] - 2);
    }

    queue.connection.dispatcher.end();
    queue.textChannel
      .send(`${message.author} ⏭ skip ${args[0] - 1} musiques`)
      .catch(console.error);
  }

  module.exports.help = MESSAGES.COMMANDS.MUSIQUE.SKIPTO;
